ru.bitel.oss.systems.inventory.resource.common.event

## Class IpResourceSubscribeEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PoolQueueEvent
      - - ru.bitel.oss.systems.inventory.resource.common.event.IpResourceSubscribeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class IpResourceSubscribeEvent
      extends PoolQueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IpResourceSubscribeEvent()`
    `` | `IpResourceSubscribeEvent(PoolEventPublisher<IpResourceUnsubscribeEvent> publisher, int subscriberType, int subscriberId, java.lang.String subscriberTitle, java.util.Set<java.lang.Integer> categorieIds, int ipResourceId, java.util.Date timeFrom, long connectionId, byte[] address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getAddress()`
    `java.util.Set<java.lang.Integer>` | `getCategorieIds()`
    `long` | `getConnectionId()`
    `int` | `getIpResourceId()`
    `java.lang.String` | `getSubscriberTitle()`
    `int` | `getSubscriberType()`
    `java.util.Date` | `getTimeFrom()`
    `void` | `setAddress(byte[] address)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IpResourceSubscribeEvent

          protected IpResourceSubscribeEvent()

    - #### IpResourceSubscribeEvent

          public IpResourceSubscribeEvent(PoolEventPublisher<IpResourceUnsubscribeEvent> publisher,
                                          int subscriberType,
                                          int subscriberId,
                                          java.lang.String subscriberTitle,
                                          java.util.Set<java.lang.Integer> categorieIds,
                                          int ipResourceId,
                                          java.util.Date timeFrom,
                                          long connectionId,
                                          byte[] address)

  - ### Method Detail

    - #### getAddress

          public byte[] getAddress()

    - #### setAddress

          public void setAddress(byte[] address)

    - #### getSubscriberType

          public int getSubscriberType()

    - #### getSubscriberTitle

          public java.lang.String getSubscriberTitle()

    - #### getCategorieIds

          public java.util.Set<java.lang.Integer> getCategorieIds()

    - #### getIpResourceId

          public int getIpResourceId()

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### getConnectionId

          public long getConnectionId()